org.apache.ignite.internal.worker

## Class FailureHandlingMxBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.worker.FailureHandlingMxBeanImpl

All Implemented Interfaces:
  FailureHandlingMxBean

    public class FailureHandlingMxBeanImpl
    extends Object
    implements FailureHandlingMxBean

### Constructor Summary

Constructors
Constructor and Description
`FailureHandlingMxBeanImpl(@NotNull WorkersRegistry workersRegistry, @NotNull IgniteCacheDatabaseSharedManager dbMgr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getCheckpointReadLockTimeout()`
`boolean` `getLivenessCheckEnabled()`
`long` `getSystemWorkerBlockedTimeout()`
`void` `setCheckpointReadLockTimeout(long val)`
`void` `setLivenessCheckEnabled(boolean val)`
`void` `setSystemWorkerBlockedTimeout(long val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FailureHandlingMxBeanImpl

    public FailureHandlingMxBeanImpl(@NotNull
                                     @NotNull WorkersRegistry workersRegistry,
                                     @NotNull
                                     @NotNull IgniteCacheDatabaseSharedManager dbMgr)

Parameters:
  `workersRegistry` - Workers registry.
  `dbMgr` - Database manager.

### Method Detail

#### getLivenessCheckEnabled

    public boolean getLivenessCheckEnabled()

Specified by:
  `getLivenessCheckEnabled` in interface `FailureHandlingMxBean`
Returns:
  Whether critical workers liveness checking is enabled.

#### setLivenessCheckEnabled

    public void setLivenessCheckEnabled(boolean val)

Specified by:
  `setLivenessCheckEnabled` in interface `FailureHandlingMxBean`
Parameters:
  `val` - Whether critical workers liveness checking is enabled.

#### getSystemWorkerBlockedTimeout

    public long getSystemWorkerBlockedTimeout()

Specified by:
  `getSystemWorkerBlockedTimeout` in interface `FailureHandlingMxBean`
Returns:
  Maximum inactivity period for system worker. Negative value denotes infinite timeout.

#### setSystemWorkerBlockedTimeout

    public void setSystemWorkerBlockedTimeout(long val)

Specified by:
  `setSystemWorkerBlockedTimeout` in interface `FailureHandlingMxBean`
Parameters:
  `val` - Maximum inactivity period for system worker. Negative value denotes infinite timeout.

#### getCheckpointReadLockTimeout

    public long getCheckpointReadLockTimeout()

Specified by:
  `getCheckpointReadLockTimeout` in interface `FailureHandlingMxBean`
Returns:
  Timeout for checkpoint read lock acquisition. Negative value denotes infinite timeout.

#### setCheckpointReadLockTimeout

    public void setCheckpointReadLockTimeout(long val)

Specified by:
  `setCheckpointReadLockTimeout` in interface `FailureHandlingMxBean`
Parameters:
  `val` - Timeout for checkpoint read lock acquisition. Negative value denotes infinite timeout.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022